Skip to main content
PATCH
Update series milestone lifecycle

Path Parameters

id
integer<int64>
required

Series ID

milestone_event_id
integer<int64>
required

Milestone Event ID

Body

application/json
reset_to_derived
boolean

Reset milestone lifecycle back to date-driven automatic mode

status
enum<string>

New manual lifecycle status

Available options:
planned,
ready,
active,
completed,
skipped

Response

OK

base_event_id
integer<int64>
required

Base event ID

created_at
string<date-time>
required

Created timestamp

id
integer<int64>
required

Record ID

milestone_event_id
integer<int64>
required

Milestone event ID

sequence
integer<int64>
required

Display order

status
enum<string>
required

Milestone lifecycle status

Available options:
planned,
ready,
active,
completed,
skipped
status_mode
enum<string>
required

How milestone status is controlled

Available options:
derived,
manual
updated_at
string<date-time>
required

Updated timestamp

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.linebundle.com/schemas/Milestone.json"

series_id
integer<int64>

Series ID (when milestone applies to all occurrences)

status_updated_at
string<date-time>

When lifecycle status was last recalculated or manually changed

Last modified on June 11, 2026